# CKEditor Giella

This module provides a CKEditor integration of the
[Giella CKEditor Plugin](https://github.com/divvun/ckeditor-plugin-giella-scayt) 
developed by the UiT The Arctic University of Norway.

It offers a SCAYT spellchecker for the Sami language.

## Requirements

* [Libraries](https://www.drupal.org/project/libraries) (7.x-2.0 or higher)
* [CKEditor](https://www.drupal.org/project/ckeditor)
* or [WYSIWYG](https://www.drupal.org/project/wysiwyg) using the CKEditor
library

## Installation

**Manually**

1. Download the [Giella CKEditor Plugin](https://github.com/divvun/ckeditor-plugin-giella-scayt)
2. Extract it to `/sites/all/libraries/ckeditor.giella`
3. Enable the module

**Using Drush**

1. `drush dl ckeditor_giella`
2. `drush en ckeditor_giella`
3. `drush libraries-download ckeditor.giella`

## Configuration

**CKEditor**

1. Go to `admin/config/content/ckeditor` and choose your desired profile.
2. Enable the *Giella Spellcheck* plugin under *Editor appearance*
3. Make sure, the *Giella Spellcheck* button is placed into your toolbar.
  
**WYSIWYG**

1. Go to `/admin/config/content/wysiwyg`  and choose your desired text format.
2. Enable the *Giella Spellcheck* plugin under *Button and plugins*

The *Giella Spellcheck* button should now be visibile for your CKEditor 
formatted fields.
